Jump to content

HP Connection Manager 3.1

  • PrintPrint
Download
By downloading you agree to HP’s
  • Overview
  • How to install
  • System requirements

Description

This package provides the HP Connection Manager for the supported notebook models and operating systems. The HP Connection Manager provides support for the Qualcomm Gobi un2400 and Gobi un2420 Mobile Internet modules.

Release details

Released:
2009-11-30
File name:
sp46503.exe [1/1, 52.87M]
Version
3.1.0.60 A
Compatibility:
Microsoft Windows Vista
Microsoft Windows Vista Home Basic (32-bit)
Microsoft Windows Vista Home Premium (32-bit)
Microsoft Windows Vista Business (32-bit)
Microsoft Windows Vista Ultimate (32-bit)
Microsoft Windows Vista Starter
Microsoft Windows 7 (32-bit)
Microsoft Windows 7 Home Basic (32-bit)
Microsoft Windows 7 Home Premium (32-bit)
Microsoft Windows 7 Professional (32-bit)
Microsoft Windows 7 Enterprise (32-bit)
Microsoft Windows 7 Ultimate (32-bit)
Microsoft Windows 7 Starter (32-bit)
Microsoft Windows 7 Home Basic (64-bit)
Microsoft Windows 7 Home Premium (64-bit)
Microsoft Windows 7 Professional (64-bit)
Microsoft Windows 7 Enterprise (64-bit)
Microsoft Windows 7 Ultimate (64-bit)
Microsoft Windows 7 (64-bit)
Microsoft Windows Vista (64-bit)
Microsoft Windows XP Professional
Microsoft Windows Vista Enterprise (32-bit)
Microsoft Windows Vista Enterprise (64-bit)
Microsoft Windows XP Home Edition
Microsoft Windows XP Media Center
Microsoft Windows Vista Home Basic (64-bit)
Microsoft Windows Vista Home Premium (64-bit)
Microsoft Windows Vista Business (64-bit)
Microsoft Windows Vista Ultimate (64-bit)
Microsoft Windows XP Tablet PC Edition
Microsoft Windows XP

Fix/Enhancement

Original Software/Drivers
1. Download the file by clicking the Download or Obtain Software button and save the file to a folder on your hard drive (make a note of the folder where the downloaded file is saved).
2. Double-click the downloaded file and follow the on-screen instructions.

Details and specifications

HP Connection Manager 3.0 version 3.0.184 is required.